darcs

Issue 2138 whatsnew --summary does not report conflict marker

Title whatsnew --summary does not report conflict marker
Priority bug Status resolved
Milestone 2.12.0 Resolved in 2.12.0
Superseder Nosy List ganesh
Assigned To
Topics Conflicts

Created on 2012-02-03.21:26:26 by lelegaifax, last changed 2016-04-19.15:16:21 by noreply.

Messages
msg15087 (view) Author: lelegaifax Date: 2012-02-03.21:26:24
Accordingly to the "darcs whatsnew --help" documentation when two
patches produce a conflict the summary should report that with a "!",
but it does not as of darcs 2.5.2.

$ darcs wha
hunk ./f 2
+v v v v v v v
+=============
+Conflict on side R
+*************
+Conflict on side S
+^ ^ ^ ^ ^ ^ ^

$ darcs wha -s
M ./f +6

I'll send a test script as soon as I have the issue number back.

Thanks&bye, lele.
msg15110 (view) Author: lelegaifax Date: 2012-02-12.09:59:02
On Fri, 03 Feb 2012 21:26:26 +0000
Lele Gaifax <bugs@darcs.net> wrote:

> Accordingly to the "darcs whatsnew --help" documentation when two
> patches produce a conflict the summary should report that with a "!",
> but it does not as of darcs 2.5.2.

FWIW, neither does darcs 2.3.1...
msg19027 (view) Author: gh Date: 2016-02-12.16:56:32
Neither did Darcs 2.2, nor Darcs 2.10.3!
msg19180 (view) Author: noreply Date: 2016-04-19.15:16:20
The following patch sent by Guillaume Hoffmann <guillaumh@gmail.com> updated issue issue2138 with
status=resolved;resolvedin=2.12.0 HEAD

* resolve issue2138: report conflicting files in whatsnew -s 
Ignore-this: 557303998dc5181e160d159959d7b40a
History
Date User Action Args
2012-02-03 21:26:26lelegaifaxcreate
2012-02-12 09:59:03lelegaifaxsetmessages: + msg15110
2016-02-12 16:56:34ghsetpriority: bug
status: unknown -> needs-implementation
topic: + Conflicts
messages: + msg19027
milestone: 2.12.0
2016-04-04 17:16:40ghsetnosy: + ganesh, - lelegaifax
2016-04-19 15:16:21noreplysetstatus: needs-implementation -> resolved
messages: + msg19180
resolvedin: 2.12.0